### Method

# AppStream Component to_string

#### Declaration [src]

    gchar*
    as_component_to_string (
      AsComponent* cpt
    )

#### Description [src]

Returns a string identifying this component. (useful for debugging)

#### Return value

Type: `gchar*`

A descriptive string.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.